VampPluginSDK 2.1

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
Vamp::PluginAdapter< P > Class Template Reference

PluginAdapter turns a PluginAdapterBase into a specific wrapper for a particular plugin implementation. More...

`#include <vamp-sdk/PluginAdapter.h>`

Inheritance diagram for Vamp::PluginAdapter< P >:
[legend]

List of all members.

## Public Member Functions
| PluginAdapter ()
virtual | ~PluginAdapter ()
const VampPluginDescriptor * | getDescriptor ()
| Return a VampPluginDescriptor describing the plugin that is wrapped by this adapter.
## Protected Member Functions
Plugin * | createPlugin (float inputSampleRate)
## Protected Attributes
Impl * | m_impl

## Detailed Description

### template<typename P>
class Vamp::PluginAdapter< P >

PluginAdapter turns a PluginAdapterBase into a specific wrapper for a particular plugin implementation.

See PluginAdapterBase.

Definition at line 95 of file PluginAdapter.h.

## Constructor & Destructor Documentation

template<typename P>

Vamp::PluginAdapter< P >::PluginAdapter | ( |  | ) | `[inline]`

Definition at line 98 of file PluginAdapter.h.

template<typename P>

virtual Vamp::PluginAdapter< P >::~PluginAdapter | ( |  | ) | `[inline, virtual]`

Definition at line 99 of file PluginAdapter.h.

## Member Function Documentation

template<typename P>

Plugin* Vamp::PluginAdapter< P >::createPlugin | ( | float | inputSampleRate | ) | `[inline, protected, virtual]`

Implements Vamp::PluginAdapterBase.

Definition at line 102 of file PluginAdapter.h.

const VampPluginDescriptor* Vamp::PluginAdapterBase::getDescriptor | ( |  | ) | `[inherited]`

Return a VampPluginDescriptor describing the plugin that is wrapped by this adapter.

Referenced by vampGetPluginDescriptor().

## Member Data Documentation

Impl* Vamp::PluginAdapterBase::m_impl`[protected, inherited]`

Definition at line 81 of file PluginAdapter.h.

The documentation for this class was generated from the following file:

- PluginAdapter.h